guile: Remove the deprecated priority API.
authorLudovic Courtès <ludo@gnu.org>
Thu, 4 Dec 2014 21:14:57 +0000 (22:14 +0100)
committerLudovic Courtès <ludo@gnu.org>
Thu, 4 Dec 2014 21:17:18 +0000 (22:17 +0100)
commit916b3cc34be7831bec77739fe5fb91926c3ca94f
tree4429fe1ae5f3fb67dc30e88708cd43a4d5287798
parent0b88d762e6989afe5d1f7fa122b786f9c9215eb0
guile: Remove the deprecated priority API.

* guile/modules/gnutls/build/priorities.scm: Remove.
* guile/src/make-session-priorities.scm: Remove.
* guile/modules/Makefile.am (EXTRA_DIST): Adjust accordingly.
* guile/src/Makefile.am (EXTRA_DIST): Likewise.
  (GENERATED_BINDINGS): Remove 'priorities.i.c'.
  (priorities.i.c): Remove target.
* guile/src/core.c: Don't include it.
  (scm_gnutls_set_default_priority_x): Remove.
* guile/modules/gnutls.in (gnutls): Adjust export list.
* guile/tests/session-record-port.scm: Use 'set-session-priorities!'.
* guile/tests/x509-auth.scm: Likewise.
guile/modules/Makefile.am
guile/modules/gnutls.in
guile/modules/gnutls/build/priorities.scm [deleted file]
guile/src/Makefile.am
guile/src/core.c
guile/src/make-session-priorities.scm [deleted file]
guile/tests/session-record-port.scm
guile/tests/x509-auth.scm